#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses serial port)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Device
%define		pnam	SerialPort
Summary:	Device::SerialPort - Linux/POSIX emulation of Win32::SerialPort functions
Summary(pl.UTF-8):	Device::SerialPort - zgodna z POSIX emulacja funcji Win32::SerialPort w Linuksie
Name:		perl-Device-SerialPort
Version:	1.04
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	82c698151f934eb28c65d1838cee7d9e
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Device::SerialPort module provides an object-based user interface
essentially identical to the one provided by the Win32::SerialPort
module.

%description -l pl.UTF-8
Moduł Device::SerialPort udostępnia zorientowany obiektowo interfejs,
zasadniczo identyczny z interfejsem udostępnianym przez moduł
Win32::SerialPort.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# hack device test
%{__perl} -pi -e 's/^    print "\\tchecking.*$/\$file="\$test"; last;/' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	TESTPORT="/dev/ttyS1"
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README TODO
%attr(755,root,root) %{_bindir}/modemtest
%{perl_vendorarch}/Device/*.pm
%dir %{perl_vendorarch}/auto/Device/SerialPort
%{perl_vendorarch}/auto/Device/SerialPort/SerialPort.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Device/SerialPort/SerialPort.so
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{_mandir}/man[13]/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Device-SerialPort.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 979acaf
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> e607274
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> af04417
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 088e638
- release 2

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> b091860
- updated to 1.04

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> d2ddac4
- release 5

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8117a51
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d7186d2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f95f3b9
- converted to UTF-8

* Fri Nov 12 2004 ankry <ankry@pld-linux.org> 0691fe5
- rel. 3 to allow upgrade

* Thu Nov 11 2004 paladine <paladine@pld-linux.org> c5e93c4
- updated to 1.002

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 9d8d65e
- formatting

* Sun May 23 2004 Jakub Bogusz <qboosh@pld-linux.org> 944b1b5
- hack device test (fixes build with devfs and no ttyS device)
- .so perms, release 2

* Thu May 13 2004 Adam Gołębiowski <adamg@pld-linux.org> 4d92eef
- updated to 1.000002

* Thu May 06 2004 ankry <ankry@pld-linux.org> 5f15a34
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 453fa26
- license fixes/unufication

* Fri Apr 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 954e2d6
- fixed permissions of modemtest binary

* Fri Apr 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 55dd4fe
- updated to 1.000001
- added modemtest binary and manpage
- fixed a typo in previous changelog

* Sun Mar 07 2004 Adam Gołębiowski <adamg@pld-linux.org> 0c4aa1e
- updated to 1

* Wed Dec 03 2003 migo <migo@pld-linux.org> fa163bf
- up to 0.22, new bcond style
- no longer noarch
- normal build process
- some tests fail!

